## python-xkcd 2.4.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/xkcd.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/xkcd.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/xkcd"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/xkcd"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-xkcd 2.3.1

=== debian/changelog ===
python-xkcd (2.3.1-1) unstable; urgency=medium

  * Initial release (Closes: #798529)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 10 Sep 2015 11:55:35 +0200

=== debian/control ===
Source: python-xkcd
Section: python
Priority: optional
Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools
Standards-Version: 3.9.6
Homepage: https://pythonhosted.org/xkcd/

Package: python-xkcd
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python2 library for accessing xkcd.com
 This is a Python library for accessing and retrieving links to comics from the
 xkcd webcomic by Randall Munroe. It is NOT endorsed or made by him, it’s an
 entirely independent project.
 .
 It makes use of the JSON interface to Randall’s site to retrieve comic data.
 .
 One can create comic objects manually using Comic(number), or can use the
 helper functions provided- getLatestComic(), getRandomComic(), and getComic()-
 to do this. Once you have a Comic object, you can access data from it using
 various provided methods.
 .
 This is the Python 2 version of the package.

Package: python3-xkcd
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python3 library for accessing xkcd.com
 This is a Python library for accessing and retrieving links to comics from the
 xkcd webcomic by Randall Munroe. It is NOT endorsed or made by him, it’s an
 entirely independent project.
 .
 It makes use of the JSON interface to Randall’s site to retrieve comic data.
 .
 One can create comic objects manually using Comic(number), or can use the
 helper functions provided- getLatestComic(), getRandomComic(), and getComic()-
 to do this. Once you have a Comic object, you can access data from it using
 various provided methods.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=xkcd
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/xkcd/xkcd-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-xkcd 2.4.0

=== debian/changelog ===
python-xkcd (2.4.0-1) unstable; urgency=medium

  * New upstream release
  * Update std-version to 3.9.8
  * Update watch file to 4
  * Add python{,3}-pypandoc to build-dependencies.
  * Update copyright file
  * Point the tarball to github, it has testsuite
  * Add documentation package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 May 2016 15:02:15 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,18 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,
+               python-sphinx,
+               python-pypandoc,
                python-setuptools,
                python3-all,
+               python3-pypandoc,
                python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://pythonhosted.org/xkcd/
 
 Package: python-xkcd
 Architecture: all
+Suggests: python-xkcd-doc
 Depends: ${misc:Depends}, ${python:Depends}
 Description: Python2 library for accessing xkcd.com
  This is a Python library for accessing and retrieving links to comics from the
@@ -30,6 +34,7 @@
 
 Package: python3-xkcd
 Architecture: all
+Suggests: python-xkcd-doc
 Depends: ${misc:Depends}, ${python3:Depends}
 Description: Python3 library for accessing xkcd.com
  This is a Python library for accessing and retrieving links to comics from the
@@ -44,3 +49,21 @@
  various provided methods.
  .
  This is the Python 3 version of the package.
+
+Package: python-xkcd-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Description: Python library for accessing xkcd.com (common documentation)
+ This is a Python library for accessing and retrieving links to comics from the
+ xkcd webcomic by Randall Munroe. It is NOT endorsed or made by him, it’s an
+ entirely independent project.
+ .
+ It makes use of the JSON interface to Randall’s site to retrieve comic data.
+ .
+ One can create comic objects manually using Comic(number), or can use the
+ helper functions provided- getLatestComic(), getRandomComic(), and getComic()-
+ to do this. Once you have a Comic object, you can access data from it using
+ various provided methods.
+ .
+ This is the common documentation package.

## python-xkcd 2.4.1

=== debian/changelog ===
python-xkcd (2.4.1-1) unstable; urgency=medium

  * New upstream release
  * Compat level is now 10
  * Update copyright years.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Dec 2016 08:26:05 +0100

## python-xkcd 2.4.2

=== debian/changelog ===
python-xkcd (2.4.2-5) unstable; urgency=medium

  * Fix pypandoc conversion code with newer api

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jan 2024 09:22:42 +0100

python-xkcd (2.4.2-4) unstable; urgency=medium

  * Patch setup.py to fallback in opening README.md if pypandoc fails
    to convert (Closes: #1060959)
  * Bump std-version to 4.6.2
  * Bump compat level to 13
  * Bump copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jan 2024 09:05:30 +0100

python-xkcd (2.4.2-3) unstable; urgency=medium

  * Drop python-all dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Sep 2019 14:41:03 +0200

python-xkcd (2.4.2-2) unstable; urgency=medium

  * Bump std-version to 4.4.0
  * Bump compat level to 12
  * Drop Python2 package (Closes: #938274)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Sep 2019 13:42:33 +0200

python-xkcd (2.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Mar 2017 08:18:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,35 +2,14 @@
 Section: python
 Priority: optional
 Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python-all,
-               python-sphinx,
-               python-pypandoc,
-               python-setuptools,
+               python3-sphinx,
                python3-all,
                python3-pypandoc,
                python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.6.2
 Homepage: https://pythonhosted.org/xkcd/
-
-Package: python-xkcd
-Architecture: all
-Suggests: python-xkcd-doc
-Depends: ${misc:Depends}, ${python:Depends}
-Description: Python2 library for accessing xkcd.com
- This is a Python library for accessing and retrieving links to comics from the
- xkcd webcomic by Randall Munroe. It is NOT endorsed or made by him, it’s an
- entirely independent project.
- .
- It makes use of the JSON interface to Randall’s site to retrieve comic data.
- .
- One can create comic objects manually using Comic(number), or can use the
- helper functions provided- getLatestComic(), getRandomComic(), and getComic()-
- to do this. Once you have a Comic object, you can access data from it using
- various provided methods.
- .
- This is the Python 2 version of the package.
 
 Package: python3-xkcd
 Architecture: all

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-xkcd-$1\.tar\.gz/ \
  https://github.com/TC01/python-xkcd/tags .*/v?(\d\S*)\.tar\.gz
